GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
gdb.FrameDecorator.FrameVars Class Reference
Inheritance diagram for gdb.FrameDecorator.FrameVars:

## Public Member Functions
def | __init__ (self, frame)
def | fetch_b (self, sym)
def | fetch_frame_locals (self)
def | fetch_frame_args (self)
def | __init__ (self, frame)
def | fetch_b (self, sym)
def | fetch_frame_locals (self)
def | fetch_frame_args (self)

## Public Attributes
| frame
| symbol_class

## Detailed Description

    Utility class to fetch and store frame local variables, or
    frame arguments.

Definition at line 222 of file FrameDecorator.py.

## Constructor & Destructor Documentation

## ◆ __init__() [1/2]

def gdb.FrameDecorator.FrameVars.__init__ | ( |  | self,
|  |  | frame
| ) |  |

Definition at line 227 of file FrameDecorator.py.

Referenced by gdb.FrameDecorator.FrameVars.__init__().

## ◆ __init__() [2/2]

def gdb.FrameDecorator.FrameVars.__init__ | ( |  | self,
|  |  | frame
| ) |  |

Definition at line 227 of file FrameDecorator.py.

References gdb.FrameDecorator.FrameVars.__init__(), gdb.FrameDecorator.FrameVars.frame, and gdb.FrameDecorator.FrameVars.symbol_class.

## Member Function Documentation

## ◆ fetch_b() [1/2]

def gdb.FrameDecorator.FrameVars.fetch_b | ( |  | self,
|  |  | sym
| ) |  |

    Local utility method to determine if according to Symbol
    type whether it should be included in the iterator.  Not all
    symbols are fetched, and only symbols that return
    True from this method should be fetched.

Definition at line 239 of file FrameDecorator.py.

References gdb.FrameDecorator.FrameVars.symbol_class.

Referenced by gdb.FrameDecorator.FrameVars.fetch_b(), and gdb.FrameDecorator.FrameVars.fetch_frame_locals().

## ◆ fetch_b() [2/2]

def gdb.FrameDecorator.FrameVars.fetch_b | ( |  | self,
|  |  | sym
| ) |  |

    Local utility method to determine if according to Symbol
    type whether it should be included in the iterator.  Not all
    symbols are fetched, and only symbols that return
    True from this method should be fetched.

Definition at line 239 of file FrameDecorator.py.

References gdb.FrameDecorator.FrameVars.fetch_b(), and gdb.FrameDecorator.FrameVars.symbol_class.

## ◆ fetch_frame_args() [1/2]

def gdb.FrameDecorator.FrameVars.fetch_frame_args | ( |  | self | ) |

    Public utility method to fetch frame arguments for the
    stored frame.  Frame arguments are the only type fetched.  If
    there are no frame argument variables, return an empty list.

Definition at line 279 of file FrameDecorator.py.

References gdb.FrameDecorator.FrameVars.fetch_frame_args(), and gdb.FrameDecorator.FrameVars.frame.

## ◆ fetch_frame_args() [2/2]

def gdb.FrameDecorator.FrameVars.fetch_frame_args | ( |  | self | ) |

    Public utility method to fetch frame arguments for the
    stored frame.  Frame arguments are the only type fetched.  If
    there are no frame argument variables, return an empty list.

Definition at line 279 of file FrameDecorator.py.

References gdb.FrameDecorator.FrameVars.frame.

Referenced by gdb.FrameDecorator.FrameVars.fetch_frame_args().

## ◆ fetch_frame_locals() [1/2]

def gdb.FrameDecorator.FrameVars.fetch_frame_locals | ( |  | self | ) |

    Public utility method to fetch frame local variables for
    the stored frame.  Frame arguments are not fetched.  If there
    are no frame local variables, return an empty list.

Definition at line 255 of file FrameDecorator.py.

References gdb.FrameDecorator.FrameVars.fetch_b(), and gdb.FrameDecorator.FrameVars.frame.

Referenced by gdb.FrameDecorator.FrameVars.fetch_frame_locals().

## ◆ fetch_frame_locals() [2/2]

def gdb.FrameDecorator.FrameVars.fetch_frame_locals | ( |  | self | ) |

    Public utility method to fetch frame local variables for
    the stored frame.  Frame arguments are not fetched.  If there
    are no frame local variables, return an empty list.

Definition at line 255 of file FrameDecorator.py.

References gdb.FrameDecorator.FrameVars.fetch_b(), gdb.FrameDecorator.FrameVars.fetch_frame_locals(), and gdb.FrameDecorator.FrameVars.frame.

## Member Data Documentation

## ◆ frame

gdb.FrameDecorator.FrameVars.frame

Definition at line 228 of file FrameDecorator.py.

Referenced by gdb.FrameIterator.FrameIterator.__init__(), gdb.FrameDecorator.FrameVars.__init__(), gdb.FrameDecorator.FrameVars.fetch_frame_args(), gdb.FrameDecorator.FrameVars.fetch_frame_locals(), and gdb.FrameIterator.FrameIterator.next().

## ◆ symbol_class

gdb.FrameDecorator.FrameVars.symbol_class

Definition at line 229 of file FrameDecorator.py.

Referenced by gdb.FrameDecorator.FrameVars.__init__(), and gdb.FrameDecorator.FrameVars.fetch_b().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/data-directory/python/gdb/FrameDecorator.py